% Boucle du main sur les notes
tic
global E rho G x_section nu d0 width bar_length b d len;
Notes=0:18; %Nombre de notes
Freqs=523.3*2.^(Notes/12); %Calcul des notes  partir de la frequence la plus grave C5=523.3
FreqsBrut=1174.7*2.^(Notes/12); %Calcul des notes des lames prismatiques avant taillage C5->D6
%ep15-1318 ok pour 12 notes >12 non teste
%ep15-1174 ok pour 17 notes note 18=erreur
%ep15-1108 non
%ep10-1174 ok pour 19 notes
%ep15-1244 ok pour 19 notes


d0=0.01 %bar thickness
K=d0/3.46; %K factor for prismatic bars
c=5150; %sound speed in alu
Lg=sqrt(pi*c*K*3.0112*3.0112./(8*FreqsBrut)); %


for i=1:length(Notes)
    
    disp(['Note : ' num2str(i) ' Frequence : ' num2str(Freqs(i))])
    h=waitbar((i-1)/(length(Notes)-1));
    selected_frequency=Freqs(i);
    bar_length=Lg(i);
    
    
    main;
    if i==1
        D=d;
        COEFFS=coeffs
        figure
    else
        D(i,:)=d;
        COEFFS(:,i)=coeffs
    end
    plot(D')
    axis([0,300,0,d0]);
    xlabel('Points');
    ylabel('y (m)');
    toc;
    
    
end
close(h); %close waitbar
toc;
CSV_Generation; %write to csv files