function Coordinates_to_steps(TOOL_CUT_X,TOOL_CUT_Y,TOOL_CUT_Z,TOTAL_CUT_NUM,meter_per_microstep)
%X Axis
%Imagine the cutter has already been placed at the edge of the undercut area, which is the first point of undercut shape, and the first move will go towards to the second point of the undercut shape
for cutting=1:TOTAL_CUT_NUM-1
%The following gives the different between two undercut points in length (coordinates difference)
step_signal_X=abs(TOOL_CUT_X(cutting+1)-TOOL_CUT_X(cutting));
%The following gives the number of motor steps for the above difference, it wont be integer, but motor can move "double" type of steps, then I will make the steps integers after this
step_signal_X_double=step_signal_X./meter_per_microstep;
www=0;
for iiiii=0:50000
if iiiii >= step_signal_X_double
www=www+1;
step_signal_X_temp(www)=iiiii;
end;
end;
step_signal_X_int(cutting)=step_signal_X_temp(1); %Now integer steps
%the step number for this movies known, but the direction is not known yet, thus, make positive direction if the next point is larger than the previous one, vise versa.
if TOOL_CUT_X(cutting+1)>=TOOL_CUT_X(cutting)
direction_X(cutting)=1;
else
direction_X(cutting)=0;
end;
%The above process will go on until all the moves are translated into
%steps and directions.
end;
%-------------------------------------------------------------------------------------------------------------
%Y Axis
%For Y axis, the cutter only moves linearly with fixed travelling length, so I only need to find one travelling length and use it for all the moves, but the direction of travelling will be different
step_signal_Y_2_1=(abs(TOOL_CUT_Y(2)-TOOL_CUT_Y(1)))./meter_per_microstep;
uuu=0;
for iiiii=1:50000
if iiiii >= step_signal_Y_2_1
uuu=uuu+1;
step_signal_Y_second(uuu)=iiiii;
end;
end;
step_signal_Y_2_1_int=step_signal_Y_second(1);
for cutting=1:TOTAL_CUT_NUM-1
%The magnitude is always same, so put "absolute" here
step_signal_Y_next=abs(TOOL_CUT_Y(cutting+1)-TOOL_CUT_Y(cutting));
if step_signal_Y_next ~=0
step_signal_Y_int(cutting)=step_signal_Y_2_1_int;
else
step_signal_Y_int(cutting)=0;
end;
if TOOL_CUT_Y(cutting+1)>=TOOL_CUT_Y(cutting)
direction_Y(cutting)=1;
else
direction_Y(cutting)=0;
end;
end;
%-------------------------------------------------------------------------------------------------------------
%Z Axis
for cutting=1:TOTAL_CUT_NUM-1
www=0;
step_signal_Z_next=abs(TOOL_CUT_Z(cutting+1)-TOOL_CUT_Z(cutting));
step_signal_Z_double=step_signal_Z_next./meter_per_microstep;
for iiiii=0:10000
if iiiii >= step_signal_Z_double
www=www+1;
step_signal_Z_temp(www)=iiiii;
end;
end;
step_signal_Z_int(cutting)=step_signal_Z_temp(1);
if TOOL_CUT_Z(cutting+1)>=TOOL_CUT_Z(cutting)
direction_Z(cutting)=1;
else
direction_Z(cutting)=0;
end;
end;
%-------------------------------------------------------------------------------------------------------------
%Imagine the cutter is already at the first point on the undercut area, thus, the number of moves is one less than the number of undercut points
for cutting=1:TOTAL_CUT_NUM-1
STEP_SIGNAL_X(cutting)=step_signal_X_int(cutting);
DIRECTION_SIGNAL_X(cutting)=direction_X(cutting);
STEP_SIGNAL_Y(cutting)=step_signal_Y_int(cutting);
DIRECTION_SIGNAL_Y(cutting)=direction_Y(cutting);
STEP_SIGNAL_Z(cutting)=step_signal_Z_int(cutting);
DIRECTION_SIGNAL_Z(cutting)=direction_Z(cutting);
end;
steps_to_pulses(TOTAL_CUT_NUM,STEP_SIGNAL_X,STEP_SIGNAL_Y,STEP_SIGNAL_Z,DIRECTION_SIGNAL_X,DIRECTION_SIGNAL_Y,DIRECTION_SIGNAL_Z)
