function out=Method_Timo_TP(new_d,profile,coeffs,E,G,rho,x_section,nu,d0,width,bar_length,number_of_elements,tol,number_fn,ploton)
global b len ddd;
ddd=new_d;
%check size of steps in profile
delta_d_max=0;
for k=1:length(ddd)-1
delta_d_max=max([delta_d_max abs((ddd(k)-ddd(k+1))/ddd(k))]);
end;
% Find the natural frequencies to this tolerance (rad/s)
tolerance=tol(1);
% Find up to only this number of frequencies
how_many=number_fn;
recept_all_timoshenko=[]; % place to store results by using Timoshenko
freq=[]; % place to store freqs
for w=logspace(2,5,600); % nice spread of frequencies
recept_timoshenko=beam_recept_timoshenko(w,E,rho,b,ddd,len,x_section,G,nu);
recept_all_timoshenko=[recept_all_timoshenko recept_timoshenko(1,1)];
freq=[freq w]; % record the freq in rad/s
end;
% Find the resonances - Timoshenko
bracket=bracket_natfreq(recept_all_timoshenko,freq,how_many);
if isempty(bracket)
error('No natural frequencies found. Perhaps alter frequency span?');
end;
nat_freqs=find_freq_timo_NN(ddd,bracket,tolerance);
fundamental_Timoshenko=nat_freqs./(2*pi);
%fundamental_Timoshenko=nat_freqs(1)./(2*pi);
%ratios_Timoshenko=nat_freqs./nat_freqs(1);
if ploton
out=d;
else
out=fundamental_Timoshenko;
%out=[fundamental_Timoshenko;ratios_Timoshenko(2:how_many)];
end;