function desired_fn=desired_vs_experimental(experimental_fn)
experiments_1=experimental_fn(1);
experiments_2=experimental_fn(2);
experiments_3=experimental_fn(3);
%-------------------------------------------------------------------------------------------------------------
desired_fundamental=[1055 927.9 778.7 674.1];
experiment_fundamental=[1034 915 772 659];
desired_second=[2958.8 2719.3 2406.7 2187];
experiment_second=[2663 2478 2128 1969];
desired_third=[5742.6 5407 4937.4 4617.4];
experiment_third=[4580 4377 4104 3850];
%-------------------------------------------------------------------------------------------------------------
number_row=length(experiment_fundamental);
if number_row==2
p_1=polyfit(experiment_fundamental,desired_fundamental,1);
p_2=polyfit(experiment_second,desired_second,1);
p_3=polyfit(experiment_third,desired_third,1);
A=0;B=0;C=0;D=0;E=0;F=p_1(1);G=p_1(2);
elseif number_row==3
p_1=polyfit(experiment_fundamental,desired_fundamental,2);
p_2=polyfit(experiment_second,desired_second,2);
p_3=polyfit(experiment_third,desired_third,2);
A=0;B=0;C=0;D=0;E=p_1(1);F=p_1(2);G=p_1(3);
elseif number_row==4
p_1=polyfit(experiment_fundamental,desired_fundamental,3);
p_2=polyfit(experiment_second,desired_second,3);
p_3=polyfit(experiment_third,desired_third,3);
A_1=p_1(1);B_1=p_1(2);C_1=p_1(3);D_1=p_1(4);
A_2=p_2(1);B_2=p_2(2);C_2=p_2(3);D_2=p_2(4);
A_3=p_3(1);B_3=p_3(2);C_3=p_3(3);D_3=p_3(4);
elseif number_row==5
p_1=polyfit(experiment_fundamental,desired_fundamental,4);
p_2=polyfit(experiment_second,desired_second,4);
p_3=polyfit(experiment_third,desired_third,4);
A=0;B=0;C=p_1(1);D=p_1(2);E=p_1(3);F=p_1(4);G=p_1(5);
elseif number_row==6
p_1=polyfit(experiment_fundamental,desired_fundamental,5);
p_2=polyfit(experiment_second,desired_second,5);
p_3=polyfit(experiment_third,desired_third,5);
A=0;B=p_1(1);C=p_1(2);D=p_1(3);E=p_1(4);F=p_1(5);G=p_1(6);
elseif number_row==7
p_1=polyfit(experiment_fundamental,desired_fundamental,6);
p_2=polyfit(experiment_second,desired_second,6);
p_3=polyfit(experiment_third,desired_third,6);
A_1=p_1(1);B_1=p_1(2);C_1=p_1(3);D_1=p_1(4);E_1=p_1(5);F_1=p_1(6);G_1=p_1(7);
A_2=p_2(1);B_2=p_2(2);C_2=p_2(3);D_2=p_2(4);E_2=p_2(5);F_2=p_2(6);G_2=p_2(7);
A_3=p_3(1);B_3=p_3(2);C_3=p_3(3);D_3=p_3(4);E_3=p_3(5);F_3=p_3(6);G_3=p_3(7);
end;
desired_fundamental=A_1.*experiments_1.^3+B_1.*experiments_1.^2+C_1.*experiments_1+D_1;
desired_second=A_2.*experiments_2.^3+B_2.*experiments_2.^2+C_2.*experiments_2+D_2;
desired_third=A_3.*experiments_3.^3+B_3.*experiments_3.^2+C_3.*experiments_3+D_3;
desired_fn=[desired_fundamental;desired_second;desired_third];