function lambda=shear_factor_timoshenko(nu,b,d)
% Shear factor calcs using Hutchinson (2001) eqn 47
num_terms=15; % Number of terms for summation lambda=zeros(1,length(b));
% Calculate truncated approximation to infinite series
for k=1:length(b)
	sum_s=0;
	for n=1:num_terms
		sum_s=sum_s+((16*nu*nu*b(k)^5)*(n*pi*d(k) - b(k)*tanh(n*pi*d(k)/b(k))))/(n^5*pi^5*(1+nu));
	end;
	% Calculate first term in C4 expression
	first_term=(d(k)^3*b(k)*(-12*d(k)*d(k)-15*nu*d(k)*d(k)+5*nu*b(k)*b(k))*4/45);
	c4=first_term+sum_s;
	%lambda=(-(2*(1+nu))/(9*c4/(4*d(k)^5*b(k)) + nu*(1-(b(k)/d(k))^2)))*ones(1,length(b));
	lambda(k)=5/6; % Overrides with a constant kappa:0.888
end;