function steps_to_pulses(TOTAL_CUT_NUM,STEP_SIGNAL_X,STEP_SIGNAL_Y,STEP_SIGNAL_Z,DIRECTION_SIGNAL_X,DIRECTION_SIGNAL_Y,DIRECTION_SIGNAL_Z)
for cutting=1:TOTAL_CUT_NUM-1 %each cut has different motor steps
%The number of pulses is always twice of the number of the steps for each move, thus, simply multiply "2" for x and z axes
pul_numnum_x=2*STEP_SIGNAL_X(cutting);
pul_numnum_z=2*STEP_SIGNAL_Z(cutting);
%The following is to make x and z pulses placed on the right positions
just_one_step=0;
%If there is no pulses on x axis, it means there is also no pulses on z axis, thus, the space between x and z axes is zero
if pul_numnum_x==0
pul_space=0;
%If the number of the pulses on x axis is non-zero, it means both the x and z axes move for this move, and then the space between these two pulse trains should be determined
else
%the following shows the times between the number of x pulses and the z pulses
pul_space=(pul_numnum_x)./(pul_numnum_z);
%If the "times" is even larger than or equal to the number of x pulses, it means z axis hasnt moved yet when the x-axis has finished moving. In this case I will manually make z axis move one step instead
if pul_space>=pul_numnum_x
just_one_step=1;
end;
end;%End of "if pul_numnum_x==0"
%Here for this move, check whether the z-axis only moves one step or not
if just_one_step==0
for tim=1:pul_numnum_z
%The first z pulse is at the same position as the first x pulse
if tim==1
zzzzz(tim)=tim;
%the last z pulse is at the same position as the last x pulse
elseif tim==pul_numnum_z
zzzzz(tim)=pul_numnum_z;
%For the pulses in the middle, they should multiply the space, and saved into the "integer" positions
else
z_on_x(tim)=tim.*pul_space;
uuu=0;
for iiiiii=0:300
if iiiiii >= z_on_x(tim)
uuu=uuu+1;
pul_space_temp(uuu)=iiiiii;
end;
end;
pul_space_2=pul_space_temp(1);
if pul_space_2>pul_numnum_x
pul_space_2=pul_space_2-1;
end;
zzzzz(tim)=pul_space_2;
end;
end;%End of "for tim=1:pul_numnum_z"
for real_pul=1:pul_numnum_z
if real_pul==1
zzzzzzzz(cutting,real_pul)=1;
elseif real_pul==pul_numnum_z
zzzzzzzz(cutting,real_pul)=pul_numnum_x;
else
zzzzzzzz(cutting,real_pul)=zzzzz(real_pul);
end;
end;%End of "for real_pul=1:pul_numnum_z"
else %here is for "only one step on Z axis"
zzzzzzzz(cutting,1)=1;
zzzzzzzz(cutting,2)=pul_numnum_x;
end;%End of "if just_one_step==0"
end;%End of "for cutting=1:TOTAL_CUT_NUM-1"
%-------------------------------------------------------------------------------------------------------------
for cutting=1:TOTAL_CUT_NUM-1 %each cut has different motor steps
pul_numnum_x(cutting)=2*STEP_SIGNAL_X(cutting);
pul_numnum_z(cutting)=2*STEP_SIGNAL_Z(cutting);
pul_numnum_y(cutting)=2*STEP_SIGNAL_Y(cutting);%for Y axis
% make the first pulse to be "1"
step_one=1;step_two=0;
step_one_z=1;step_two_z=0;
step_one_y=1;step_two_y=0;
step_todd=step_two;
step_todd_z=step_two_z;
step_todd_y=step_two_y;
pulse_x_change=1;
cris=1;
if pul_numnum_x(cutting)~=0 %Here X and Z axes move
%-------------------------------------------------------------------------------------------------------
for pul_pul=1:pul_numnum_x(cutting)%for example:198 pulses
%Here is for X axis pulses
if pulse_x_change==1
if step_todd==step_one
step_todd=step_two;
else
step_todd=step_one;
end;%End of "if step_todd==step_one"
x_pulse(cutting,pul_pul)=step_todd;
else
if step_todd==step_one
step_todd=step_one;
else
step_todd=step_two;
end;
x_pulse(cutting,pul_pul)=step_todd;
end;%End of "pulse_x_change==1"
%-----------------------------------------------------
%Here is for Z axis pulses
if pul_pul==zzzzzzzz(cutting,cris)
cris=cris+1;
pulse_z_change=1;
else
pulse_z_change=0;
end;%End of "if pul_pul==zzzzzzzz(cutting,cris)"
if pulse_z_change==1
if step_todd_z==step_one_z
step_todd_z=step_two_z;
else
step_todd_z=step_one_z;
end;
z_pulse(cutting,pul_pul)=step_todd_z;
else
if step_todd_z==step_one_z
step_todd_z=step_one_z;
else
step_todd_z=step_two_z;
end;
z_pulse(cutting,pul_pul)=step_todd_z;
end;%End of "if pulse_z_change==1"
%-----------------------------------------------------
%Here is for Y axis pulses
y_pulse(cutting,pul_pul)=0;
%-----------------------------------------------------
end;%End of "pul_pul=1:pul_numnum_x(cutting)"
%---------------------------------------------------------
else %Here only Y axis moves
%---------------------------------------------------------
%Here is for X axis pulses
x_pulse(cutting,1)=0; x_pulse(cutting,2)=0;
%---------------------------------------------------------
%Here is for Z axis pulses
z_pulse(cutting,1)=0; z_pulse(cutting,2)=0;
%---------------------------------------------------------
%Here is for Y axis pulses
y_pulse(cutting,1)=1; y_pulse(cutting,2)=0;
%---------------------------------------------------------
end;
end;%End of "for cutting=1:TOTAL_CUT_NUM-1"
%-------------------------------------------------------------------------------------------------------------
Driving_motors(STEP_SIGNAL_X,STEP_SIGNAL_Y,STEP_SIGNAL_Z,x_pulse,z_pulse,y_pulse,TOTAL_CUT_NUM,DIRECTION_SIGNAL_X,DIRECTION_SIGNAL_Z,DIRECTION_SIGNAL_Y)