function bracket=bracket_natfreq(x,freq,max_roots)
% Extract the frequencies between which the resonances lie.
% For free-free beams, the resonances have a +1 to -1 phase shift as w rises. Hence need to look for + to - changes in alpha11.
bracket=[];
how_many=0; % Number of singularities found at first
for k=1:length(x)-1
    %when the current receptance is equal to or larger than zero and the next one is negative, then record this bracket
    if (x(k)>=0)&&(x(k+1)<0)
        % we have a positive to negative singularity
        bracket=[bracket; freq(k) freq(k+1)];
        % record how many brackets are found out
        how_many=how_many+1;
        %if the bracket found out are already the number of the max roosts
        %set in main function, then stop
        if how_many==max_roots;
            break;
        end;
    end;
end;